Package org.eclipse.draw2d

# Class RoundedRectangle

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Shape
org.eclipse.draw2d.RoundedRectangle

All Implemented Interfaces:
  `IFigure`

public class RoundedRectangle extends Shape
Draws a Rectangle whose corners are rounded in appearance. The size of the rectangle is determined by the bounds set to it.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Dimension`
`corner`
Deprecated.
Use `getCornerDimensions()` instead.

### Fields inherited from class org.eclipse.draw2d.Shape

`lineStyle, lineWidth`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`RoundedRectangle()`
Constructs a round cornered rectangle.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fillShape(Graphics graphics)`
Fills the interior of the shape with the background color.
`Dimension`
`getCornerDimensions()`
Returns the dimensions used for each corner.
`protected void`
`outlineShape(Graphics graphics)`
Outlines this shape using the foreground color.
`void`
`setCornerDimensions(Dimension d)`
Sets the dimensions of each corner.

### Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidth, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useDoublePrecision, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### corner

protected Dimension corner
Deprecated.
Use `getCornerDimensions()` instead.
The width and height radii applied to each corner.

## Constructor Details

### RoundedRectangle

public RoundedRectangle()
Constructs a round cornered rectangle.

## Method Details

### fillShape

protected void fillShape(Graphics graphics)
Description copied from class: `Shape`
Fills the interior of the shape with the background color.

Specified by:
  `fillShape` in class `Shape`
Parameters:
  `graphics` - the graphics object
See Also:
  - `Shape.fillShape(Graphics)`

### outlineShape

protected void outlineShape(Graphics graphics)
Description copied from class: `Shape`
Outlines this shape using the foreground color.

Specified by:
  `outlineShape` in class `Shape`
Parameters:
  `graphics` - the graphics object
See Also:
  - `Shape.outlineShape(Graphics)`

### setCornerDimensions

public void setCornerDimensions(Dimension d)
Sets the dimensions of each corner. This will form the radii of the arcs which form the corners.

Parameters:
  `d` - the dimensions of the corner
Since:
  2.0

### getCornerDimensions

public Dimension getCornerDimensions()
Returns the dimensions used for each corner.

Returns:
  the dimensions of the corner.
Since:
  3.7